#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace ChartSample
{
    public class MultipleAxis : ContentPage
    {
        public MultipleAxis()
        {
            Title = "Multiple Axes";
			StackLayout layout = new StackLayout (){ Padding = new Thickness (5, 15, 5, 5) };
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart
            {
//                Legend = new ChartLegend {ItemMargin = new Thickness(5, 0, 0, 15), ToggleSeriesVisibility = true},

                PrimaryAxis =
                    new CategoryAxis
                    {
                        Title = new ChartAxisTitle {Text = "Years"},
                        LabelPlacement = LabelPlacement.BetweenTicks
                    },

                SecondaryAxis = new NumericalAxis
                {
                    Title = new ChartAxisTitle {Text = "Revenue"},
                    LabelStyle = new ChartAxisLabelStyle {LabelFormat = "$####"},
                    Minimum = 6200,
                    Maximum = 8800,
                    Interval = 200,
                    ShowMajorGridLines = false
                }
            };
			chart.VerticalOptions = LayoutOptions.FillAndExpand;

            var datas = new ObservableCollection<ChartDataPoint>
            {
                new ChartDataPoint("2010", 8000),
                new ChartDataPoint("2011", 8100),
                new ChartDataPoint("2012", 8250),
                new ChartDataPoint("2013", 8600),
                new ChartDataPoint("2014", 8700)
            };

            var datas1 = new ObservableCollection<ChartDataPoint>
            {
                new ChartDataPoint("2010", 6),
                new ChartDataPoint("2011", 15),
                new ChartDataPoint("2012", 35),
                new ChartDataPoint("2013", 65),
                new ChartDataPoint("2014", 75)
            };

            chart.Series.Add(new ColumnSeries
            {
                Label = "Revenue",
                ItemsSource = datas
            });

            var lineSeries = new FastLineSeries
            {
                Label = "Customers",
                ItemsSource = datas1,
                StrokeWidth = 7,
                YAxis = new NumericalAxis
                {
                    OpposedPosition = true,
                    Minimum = 0,
                    Maximum = 80,
                    Interval = 5,
                    ShowMajorGridLines = false,
                }
            };

            chart.Series.Add(lineSeries);
            lineSeries.YAxis.Title.Text = "Number of Customers";
            return chart;
        }
    }
}