#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace ChartSample
{
    public class Area : ContentPage
    {
        public Area()
        {
            Title = "Area Series";
			StackLayout layout = new StackLayout (){ };
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart
            {
                PrimaryAxis = new CategoryAxis(),
                SecondaryAxis = new NumericalAxis()
					
            };

			chart.VerticalOptions = LayoutOptions.FillAndExpand;


//			chart.PrimaryAxis.AxisLineStyle.StrokeDashArray = new double[]{2,4};
//			chart.PrimaryAxis.AxisLineStyle.StrokeWidth = 5;
//			chart.PrimaryAxis.AxisLineStyle.StrokeColor = Color.Green;

            var areaSeries = new AreaSeries
            {
                StrokeWidth = 5,
                Color = Color.FromHex("0x90FEBE17"),
                StrokeColor = Color.FromHex("0xFFFEBE17"),
				ItemsSource = MainPage.GetData1(),
                XBindingPath = "Name",
                YBindingPath = "Value"
					
            };

            chart.Series.Add(areaSeries);
            return chart;
        }
    }
}