#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace ChartSample
{
    public class Bubble : ContentPage
    {
        public Bubble()
        {
            Title = "Bubble";
			StackLayout layout = new StackLayout (){ };
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart
            {
                PrimaryAxis = new CategoryAxis {PlotOffset = 30},
                SecondaryAxis = new NumericalAxis {PlotOffset = 30},
            };

			chart.VerticalOptions = LayoutOptions.FillAndExpand;

            var lineSeries = new BubbleSeries
            {
//                ColorModel = new ChartColorModel {Palette = ChartColorPalette.Metro},
                DataMarker = new ChartDataMarker(),
                ItemsSource = MainPage.GetBubbleData(),
                StrokeWidth = 3,
            };

            chart.Series.Add(lineSeries);
            return chart;
        }
    }
}