#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System.Collections.ObjectModel;
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace ChartSample
{
    public class Doughnut : ContentPage
    {
        public Doughnut()
        {
            Title = "Doughnut";
			StackLayout layout = new StackLayout (){  };
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart {Legend = new ChartLegend()};

            var datas = new ObservableCollection<ChartDataPoint>
            {
                new ChartDataPoint("2010", 8000),
                new ChartDataPoint("2011", 8100),
                new ChartDataPoint("2012", 8250),
                new ChartDataPoint("2013", 8600),
                new ChartDataPoint("2014", 8700)
            };

			chart.VerticalOptions = LayoutOptions.FillAndExpand;

            var doughnutSeries = new DoughnutSeries
            {
                ExplodeIndex = 3,
                ItemsSource = datas,
				CircularCoefficient = 0.7,
                ConnectorLineType = ConnectorLineType.Bezier,
                DataMarkerPosition = CircularSeriesDataMarkerPosition.OutsideExtended,
                DataMarker = new ChartDataMarker()
            };

            doughnutSeries.DataMarker.LabelStyle.Margin = new Thickness(5);
            chart.Series.Add(doughnutSeries);
            return chart;
        }
    }
}