#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace ChartSample
{
    public class Line : ContentPage
    {
        public Line()
        {
			StackLayout layout = new StackLayout (){ };
            Title = "Line";
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart
            {
				PrimaryAxis = new CategoryAxis (){Interval = 200},
                SecondaryAxis = new NumericalAxis()
            };

			chart.VerticalOptions = LayoutOptions.FillAndExpand;

            var lineSeries = new LineSeries
            {
//                DataMarker = new ChartDataMarker(),
                ItemsSource = MainPage.GetLineData(),
                StrokeWidth = 3
            };

            chart.Series.Add(lineSeries);
            return chart;
        }
    }
}