#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using System;
using System.Collections.ObjectModel;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartSample
{
    public class LiveUpdate : ContentPage
    {
        private readonly ObservableCollection<ChartDataPoint> data = new ObservableCollection<ChartDataPoint>();

        private readonly ObservableCollection<ChartDataPoint> data2 = new ObservableCollection<ChartDataPoint>();

        private int wave1;

        private int wave2 = 180;

        private SfChart chart;

        public LiveUpdate()
        {
            Title = "Live Update";
			StackLayout layout = new StackLayout (){ Padding = new Thickness (5, 15, 5, 5) };
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private SfChart GetChart()
        {
            LoadData();

            chart = new SfChart {PrimaryAxis = new NumericalAxis()};
            var axis = new NumericalAxis {Minimum = -1.5, Maximum = 1.5};
            chart.SecondaryAxis = axis;
            axis.LabelStyle.LabelsPosition = AxisElementPosition.Outside;
            axis.TickPosition = AxisElementPosition.Outside;

            var lineSeries = new FastLineSeries {ItemsSource = data};

            chart.Series.Add(lineSeries);

            UpdateData();
            AddSeries();
            return chart;
        }

        private void LoadData()
        {
            for (var i = 0; i < 180; i++)
            {
                data.Add(new ChartDataPoint(i, Math.Sin(wave1*(Math.PI/180.0))));
                wave1++;
            }

            for (var i = 0; i < 180; i++)
            {
                data2.Add(new ChartDataPoint(i, Math.Sin(wave2*(Math.PI/180.0))));
                wave2++;
            }

            wave1 = data.Count;
        }

        private async void AddSeries()
        {
            await Task.Delay(400);
            var fastLine = new FastLineSeries();
            chart.Series.Add(fastLine);
            fastLine.ItemsSource = data2;
        }

        private async void UpdateData()
        {
            await Task.Delay(200);

            while (true)
            {
                await Task.Delay(10);
                data.RemoveAt(0);
                data.Add(new ChartDataPoint(wave1, Math.Sin(wave1*(Math.PI/180.0))));
                wave1++;

                data2.RemoveAt(0);
                data2.Add(new ChartDataPoint(wave1, Math.Sin(wave2*(Math.PI/180.0))));
                wave2++;
            }
        }
    }
}