#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace ChartSample
{
    public class OHLC : ContentPage
    {
        public OHLC()
        {
            Title = "OHLC Series";
			StackLayout layout = new StackLayout (){ Padding = new Thickness (5, 15, 5, 5) };
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart {PrimaryAxis = new CategoryAxis(), SecondaryAxis = new NumericalAxis()};
			chart.VerticalOptions = LayoutOptions.FillAndExpand;
            chart.Series.Add(new HiLoOpenCloseSeries
            {
                StrokeWidth = 5,
                ItemsSource = MainPage.GetFinancialData(),
            });
            return chart;
        }
    }
}