#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace ChartSample
{
    public class Spline : ContentPage
    {
        public Spline()
        {
            Title = "Spline";
			StackLayout layout = new StackLayout (){ };
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart
            {
				PrimaryAxis = new CategoryAxis(),
                SecondaryAxis = new NumericalAxis()
            };

			chart.VerticalOptions = LayoutOptions.FillAndExpand;

            chart.Series.Add(new SplineSeries
            {
                DataMarker = new ChartDataMarker(),
                ItemsSource = MainPage.GetData1(),
                StrokeWidth = 3,
            });
            return chart;
        }
    }
}