#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System.Collections.Generic;
using Syncfusion.SfChart.XForms;
using System.Collections.ObjectModel;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartSample
{
    public class StackingArea100 : ContentPage
    {
        private int index = 2;

        private SfChart chart;

        public StackingArea100()
        {
            Title = "100% Stacked Area";
			StackLayout layout = new StackLayout (){ Padding = new Thickness (5, 15, 5, 5) };
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private SfChart GetChart()
        {
            chart = new SfChart {PrimaryAxis = new CategoryAxis(), SecondaryAxis = new NumericalAxis()};
			chart.VerticalOptions = LayoutOptions.FillAndExpand;
            chart.Series.Add(new StackingArea100Series
            {
                StrokeWidth = 5,
                Color = Color.FromHex("0x99FEBE17"),
                StrokeColor = Color.FromHex("0xFFFEBE17"),
            });

            chart.Series.Add(new StackingArea100Series
            {
                StrokeWidth = 5,
                Color = Color.FromHex("0x994F4838"),
                StrokeColor = Color.FromHex("0xFF4F4838"),
            });

            chart.Series.Add(new StackingArea100Series
            {
                StrokeWidth = 5,
                Color = Color.FromHex("0x99C15146"),
                StrokeColor = Color.FromHex("0xFFC15146"),
            });

            UpdateData();
            return chart;
        }

        private async void UpdateData()
        {
            while (true)
            {
                await Task.Delay(300);
                chart.Series[index].ItemsSource = GetData(index);
                index--;
                if (index >= 0)
                    continue;
                break;
            }
        }

        private static IEnumerable<ChartDataPoint> GetData(int index)
        {
            if (index == 0)
                return MainPage.GetData1();
            return index == 1 ? MainPage.GetData2() : MainPage.GetData3();
        }
    }
}