#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace ChartSample
{
    public class StackingColumn100 : ContentPage
    {
        public StackingColumn100()
        {
            Title = "100% Stacked Column";
			StackLayout layout = new StackLayout (){ Padding = new Thickness (5, 15, 5, 5) };
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart
            {
                PrimaryAxis = new CategoryAxis {LabelPlacement = LabelPlacement.BetweenTicks},
				SecondaryAxis = new NumericalAxis (),
            };
			chart.VerticalOptions = LayoutOptions.FillAndExpand;

            chart.Series.Add(new StackingColumn100Series
            {
                DataMarker = new ChartDataMarker
                {
                    LabelStyle = new DataMarkerLabelStyle {LabelPosition = DataMarkerLabelPosition.Center},
                },
                ItemsSource = MainPage.GetData1(),
                DataMarkerPosition = DataMarkerPosition.Center,
            });

            chart.Series.Add(new StackingColumn100Series
            {
                DataMarker = new ChartDataMarker
                {
                    LabelStyle = new DataMarkerLabelStyle {LabelPosition = DataMarkerLabelPosition.Center},
                },
                ItemsSource = MainPage.GetData2(),
                DataMarkerPosition = DataMarkerPosition.Center,
            });

            chart.Series.Add(new StackingColumn100Series
            {
                DataMarker = new ChartDataMarker
                {
                    LabelStyle = new DataMarkerLabelStyle {LabelPosition = DataMarkerLabelPosition.Center},
                },
                ItemsSource = MainPage.GetData3(),
                DataMarkerPosition = DataMarkerPosition.Center,
            });
            return chart;
        }
    }
}