#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace ChartSample
{
    internal class ZoomingAndPanning : ContentPage
    {
        public ZoomingAndPanning()
        {
            Title = "Zooming and Panning";
            var label = new Label
            {
                HorizontalOptions = LayoutOptions.Start,
                Text = "Pinch to zoom or double tap and drag to select a region to zoom in."
            };

			if (Device.OS == TargetPlatform.iOS) {
				label.FontSize = 12;
				label.XAlign   = TextAlignment.Center;
				label.YAlign   = TextAlignment.Center;
			}

            Content = new StackLayout
            {
                Padding = Device.OnPlatform(new Thickness(5, 10, 5, 10), new Thickness(5, 10, 5, 10), new Thickness(15, 10, 15, 10)),
                Children = {GetChart(), label}
            };
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart
            {
                VerticalOptions = LayoutOptions.FillAndExpand,
                HorizontalOptions = LayoutOptions.FillAndExpand,
                PrimaryAxis = new CategoryAxis {Title = new ChartAxisTitle {Text = "Month"}},
                SecondaryAxis =
                    new NumericalAxis
                    {
                        Title = new ChartAxisTitle {Text = "Sales"},
                        LabelStyle = {LabelFormat = "$##.##"}
                    }
            };

            chart.Series.Add(new ColumnSeries
            {
                ItemsSource = MainPage.GetSelectionData(),
            });

            chart.ChartBehaviors.Add(new ChartZoomPanBehavior
            {
                EnableSelectionZooming = true,
                SelectionRectStrokeWidth = 1
            });

            return chart;
        }
    }
}
